# PixivApi

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'pixiv_api', github: 'pixiv/pixiv-api-ruby'
```

## Usage

```
# Setup
PixivApi.configure do |config|
  config[:client_id] = '...'
  config[:client_secret] = '...'
  config[:site] = '...' 
  config[:authorize_url] = '...' 
  config[:token_url] = '...'
end

user = User.first # Sign in with Oauth2

client = PixivApi::Client.new(
  access_token: user.access_token,
  refresh_token: user.refresh_token,
  expires_at: user.expires_at
)

client.me # => return '/v1/me.json'
client.work(id: 1) # => '/v1/works/:id.json'
```
