require 'spec_helper'

RSpec.describe PixivApi::Client do
  subject(:client) do
    described_class.new(
      access_token: access_token,
      refresh_token: refresh_token,
      expires_at: expires_at
    )
  end

  let(:access_token) { 'access_token' }
  let(:refresh_token) { 'refresh_token' }
  let(:expires_at) { Time.now.to_i }

  context 'when configuration is not completed' do
    describe '#initialize' do
      it 'initializes oauth access token' do
        expect { client }.to raise_error(PixivApi::Configuration::MissingConfigurationError)
      end
    end
  end

  context 'when configuration is completed' do
    stub_pixiv_api_configuration
    it { expect { subject }.to_not raise_error }
  end
end
