require 'spec_helper'

RSpec.describe PixivApi::Request::UploadWork do
  stub_pixiv_api_client

  describe '#upload' do
    subject do
      cassette('upload_success') do
        client.upload(
          files: files,
          type: type,
          title: title,
          comment: comment,
          tags: tags,
          publicity: publicity,
          age_limit: age_limit,
          sexual: sexual,
        )
      end
    end
    let(:files) { [Faraday::UploadIO.new('./spec/fixtures/images/sample.png', 'image/png')] }
    let(:type) { 'illust' }
    let(:title) { 'てすと' }
    let(:comment) { 'テスト' }
    let(:tags) { ['オリジナル'] }
    let(:publicity) { 'private' }
    let(:age_limit) { 'all-age' }
    let(:sexual) { true }

    it { is_expected.to be_a(PixivApi::Response::UploadToken) }
  end

  describe '#upload_status' do
    subject do
      cassette('upload_status_success') { client.upload_status(upload_token: upload_token) }
    end
    let(:upload_token) { '46969bc7ec38c6d8e53a1078a09fec37' }

    it { is_expected.to be_a(PixivApi::Response::UploadStatus) }
  end
end
