require 'spec_helper'

RSpec.describe PixivApi::Request::Users do
  stub_pixiv_api_client

  describe '#me' do
    context 'with no argument' do
      subject do
        cassette('users_me_success') { client.me }
      end

      it { is_expected.to be_a(PixivApi::Response::User) }
    end

    context 'with include_email: true' do
      subject(:response) do
        cassette('users_me_include_email_success') { client.me(params: { include_email: true }) }
      end

      it { is_expected.to be_a(PixivApi::Response::User) }
      it { expect(response.email).to_not be_nil }
    end
  end

  describe '#user' do
    subject do
      cassette('users_user_success') { client.user(user_id: 17) }
    end

    it { is_expected.to be_a(PixivApi::Response::User) }
  end
end
